package main

import (
	"encoding/json"
	"sparrow/pkg/models"
	"sparrow/pkg/utils"
	"testing"

	"github.com/go-martini/martini"
	"github.com/martini-contrib/render"
)

func startServer() {
	martini.Env = martini.Prod
	handler := martini.Classic()
	handler.Use(render.Renderer())
	route(handler)

	handler.Run()
}
func struct2string(tar interface{}) string {
	bytes, err := json.Marshal(tar)
	if err != nil {
		return ""
	}
	return string(bytes)
}
func TestUserLogin(t *testing.T) {
	go startServer()
	req := models.LoginRequest{
		UserName: "lijian",
		Password: "lijian",
	}

	body, err := utils.SendHttpRequest("http://localhost:3000/api/v1/login", struct2string(req), "POST", nil)
	if err != nil {
		t.Fatal(err)
	}
	t.Fatal(string(body))
}
